Option Explicit

Const AppTitle = "AJPscripts - Autorun quick tweak"
Const AppCopyright = "  2009-2019.  "

Call Main()

'====================================================================
Public Sub Main()
  Dim REG
  Dim Path
  Dim RC
  
  Set REG = CreateObject("WScript.Shell")
  
  RC = MsgBox(AppTitle & vbCrLf & _
              AppCopyright & vbCrLf & _
              vbCrLf & _
              "         " & _
              "       .  " & _
              "    ,   " & _
              ",    ." & vbCrLf & vbCrLf & _
              "      ? " & _
              "     ." & vbCrLf & _
              vbCrLf & _
              "     -  ." & vbCrLf & _
              "    -   ." & vbCrLf & _
              " - .", _
              vbYesNoCancel + vbQuestion, AppTitle)
  If RC = vbCancel Then Exit Sub
  
  Path = "\SOFTWARE\Microsoft\Windows\CurrentVersion\policies\Explorer\"
  If RC = vbYes Then 
    Path = "HKLM" & Path
  Else
    Path = "HKCU" & Path
  End If
  
  On Error Resume Next
  
  REG.RegWrite Path & "NoDriveTypeAutoRun", &h000000FF&, "REG_DWORD" ' REG_BINARY
  If Err.Number <> 0 Then
    MsgBox "    ""NoDriveTypeAutoRun""." & _
           vbCrLf & vbCrLf & _
           "Error number: " & Err.Number & vbCrLf & _
           "Description:  " & Err.Description, _
           vbCritical, AppTitle
    Err.Clear
  End If
  
  REG.RegWrite Path & "NoDriveAutoRun", &HFFFFFFFF&, "REG_DWORD" ' REG_BINARY
  If Err.Number <> 0 Then
    MsgBox "    ""NoDriveAutoRun""." & _
           vbCrLf & vbCrLf & _
           "Error number: " & Err.Number & vbCrLf & _
           "Description:  " & Err.Description, _
           vbCritical, AppTitle
    Err.Clear
  End If
  
  MsgBox " ^_^v", vbInformation, AppTitle
End Sub
